Customer Sales Analysis Report
07/09/2023 03:31 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 08/01/2023
Priority: Normal Due date:

Assignee: Augustin Jose % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Customer Sales Analysis Report

Description

Coding Sales Analysis Report

History

#1 - 07/09/2023 03:54 PM - Anil KV
- Subject changed from Sales Analysis Report to Customer Sales Analysis Report

- Module changed from Sales Analysis Report to Customer Sales Analysis Report

Coding Customer Sales Analysis Report

#2 - 08/01/2023 02:54 PM - Junaid M

- Assignee changed from travvise Admin to Amal Pious

#3 - 08/01/2023 03:01 PM - Amal Pious

- Status changed from New to Coding Started

- Start date changed from 07/09/2023 to 08/01/2023
- % Done changed from 0 to 40

#4 - 08/10/2023 07:39 PM - Anil KV
Solutions

* Check Customer Sale & Refund Report #228

1) GUI Changes

—Add Transaction Date (Default) in period

*sale.tbl_ta_mod_of_sale->dat_posting

—Supplier label set title Main Supplier and add blue *

—Add Reference Employee also in Issuing Staff drop down

— Add Sub Customer in Group By selectbox

—Remove Merge checkbox

— Status changed to Consider and default Ticked items - Sale, Void(From Refund GUI), Refund
—Add No Of Sales Items, No Of Refund Items, Net Items after Net Count

2) SQL
SELECT 'SALE' AS str_record_type,
spd. fk_service_id,
doc.fk_branch_id,
doc.fk_department_id,
COUNT (DISTINCT mofsm.fk_documents_id) AS int_document_count,
mofsm.fk_sub_customer_id,
COUNT (DISTINCT mofsd.fk_supp_doc_no_id) AS int_item_count,

TO_CHAR (mofsm.dat_posting, 'Month-YYYY') AS str_month,--***Dynamic field dat_posting/dat_issue,

nt [Refund]
SUM (spdf.dbl_customer_price) AS dbl_amount,
SUM (spdf.dbl_normal_profit) AS dbl_profit
FROM sale.tbl_mod_of_sale mofsm
LEFT JOIN sale.tbl_sale_master sm
ON mofsm.fk_sale_master_id = sm.pk_sale_master_id

LEFT JOIN document.tbl_documents doc

ON sm.fk_documents_id = doc.pk_documents_id

LEFT JOIN sale.tbl_mod_of_sale_supp_doc mofsd

ON mofsm.pk_mod_of_sale_id = mofsd.fk_mod_of_sale_id

LEFT JOIN service.tbl_supp_doc_no spd

ON mofsd. fk_supp_doc_no_id = spd.pk_supp_doc_no_id

LEFT JOIN service.tbl_supp_doc_fare spdf

ON mofsd.fk_base_fare_id = spdf.pk_supp_doc_fare_id

GROUP BY doc.fk_branch_id, doc.fk_department_id, spd.fk_service_id,

UNION ALL

[REFUND]
***dat_posting/dat_cancel, dat_document [Refund]

*** Logic

—-doc.fk_branch_id, doc.fk_department_id, spd.fk_service_id,

return form CS
—-Each item(doc.fk_branch_id, doc.fk_department_id,
str_record_type wise total (count, amount, profit)

#5 - 10/09/2023 09:50 AM - Amal Pious
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#6 - 10/12/2023 12:08 PM - Seema Mathew

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Seema Mathew

ISSUE FOUNDED **

1.MISSING DATA WHILE CHANGING GROUPING.
#7 - 10/12/2023 03:54 PM - Amal Pious

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

1.MISSING DATA WHILE CHANGING GROUPING. - Fixed

#8 - 10/13/2023 03:03 PM - Seema Mathew
TESTING DONE

#9 - 10/20/2023 06:33 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.BASE 1 QAR WISE CHANGE

#10 - 10/26/2023 02:29 PM - Amal Pious

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

1.BASE 1 QAR WISE CHANGE - fixed.

#11 - 11/21/2023 04:24 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOW DATA AS PER CHOOSEN CONSIDER OPTIONS
2.SHOW DATA AS PER CHOOSEN ACCOUNTCATEGORYS BY THE CUSTOMER IF THEY CHOOSED ANY ON OF THEM IN CUSTOMER
MASTER MODULE/ACT AS CLIENT MODULES

#12 - 11/27/2023 11:20 AM - Anonymous

- Assignee changed from Amal Pious to Athul P

#13 - 12/13/2023 06:38 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#14 - 12/15/2023 02:19 PM - unnikannan S
ISSUE FOUNDED

1.NOT CLEARING DELETED VOUCHERS DATA

2.NO DATA WHILE SEARCH WITH INDIVIDUAL CURRENCIES

3.NOT CLEARING DATAS IN GRID AND DROP DOWN OF CUSTOMER WHILE CHOOSING NEW BUTTON
4.ERROR IN ISSUE/CANCEL DATE WISE SEARCH

#15 - 12/15/2023 02:19 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

#16 - 12/16/2023 11:00 AM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#17 - 12/16/2023 02:51 PM - unnikannan S

ISSUE FOUNDED

1.DONT SHOW ALREADY SOLD/REFUNDED VOUCHERS IN SALE ITEMS AND CANCEL ITEMS LIST COLUMNS

#18 - 12/18/2023 10:34 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.ERROR WHILE SEARCH (42804: UNION types text and bigint cannot be matched) WHILE CHANGING CONSIDER FILTER OPTIONS

2.GLITCH IN Ul WHILE SEARCH
3.ISSUE WHILE SEARCH WITH CONSIDER VOID OPTIONS

#19 - 12/19/2023 10:14 AM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#20 - 01/15/2024 06:14 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
1.SHOW CASH SALE DOCUMENTS DATA IN CASE (IF THE FOP IS NOT AN ACT AS CLIENT ACCOUNT)

TESTING DONE

#21 - 01/17/2024 07:11 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#22 - 01/18/2024 10:52 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOW DATA AS ON SELECTED PERIOD IN Ul

#23 - 01/18/2024 11:24 AM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#24 - 01/18/2024 02:50 PM - unnikannan S
TESTING DONE

#25 - 01/23/2024 01:20 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.CONSIDER ALL VOUCHERS IN NO.OF SALE LIST THOSE STATUS WHERE CHANGED TO SALE
2.INCREASE LENGTH OF HOTEL FILTER FIELD IN Ul

#26 - 01/25/2024 04:16 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#27 - 10/02/2024 10:53 AM - Anonymous
- Assignee changed from Athul P to Nithin PM

#28 - 10/26/2024 04:25 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#29 - 11/28/2024 05:39 PM - Theja Ponon
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1) Reset button not showing while grouping and not data is present.

#30 - 11/30/2024 06:28 PM - Nithin PM
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#31 - 12/02/2024 11:00 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#32 - 04/10/2025 04:22 PM - Arathy PS
- Assignee changed from Nithin PM to Augustin Jose
#33 - 04/10/2025 04:25 PM - Arathy PS

- File clipboard-202504101625-ovz7l.png added

- File clipboard-202504101625-mhhou.png added

- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. Wrong no: of items and no: documents (in both doc no: and no: of items AR Shared doc no: and no: of item is not included)

Customer Sales Analysis Report

Transaction Date™ ~ 0/04/2025 10/04/2025 Branch* fain - Consider” -
Customer*~ | CUS001 ASLAM ANSAAR IMAN Currency* Base1(QAR) v Exclude -
vyy
Customer Sales Analysis Report Group By | Service Wise h A 2 @
# Service Sale Refund Net Profit
No of Docs No Of Items Price | No Of Docs No Of Items Price | Net Count Net Items Net
1 SAD01: Air Ticket Service 1 1 110000 | O [} 000 1 1 1100.00 100.00

DSR Summary

Doc Date "~ 10/04/2025 0/04/2025 Branch™ ai - Currency™ | Base1(QAR) v
Customer/FOP* | CUS001 ASLAM ANSAAR IMAN Department - Consider” 53 2 more v
Sub Customer ~ Service | Air Ticket Service p— - Exclude - i
Supplier Pax Name ~ File No ~
i
Issuing Staff ~ Region - Sales Mode -
Responsible User + Cash Counter - Cost Center -
Airline GDS - Booking Office ID ~ v
Country City Hotel
Ana

Components  Mode Of Payment | Service ~Region Wise Posting  SalesFlow =~ ALPO

ode Of Payment T a B @
Mode Sale Refund Net

Doc Count Item Count Amount Doc Count Item Count Amount Doc Count Item Count Amount

Credit 2 3 260000 O o 000 2 3 2600.00

#34 - 04/29/2025 04:34 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

Files
clipboard-202504101625-ovz7l.png 76 KB 04/10/2025 Arathy PS
clipboard-202504101625-mhhou.png 127 KB 04/10/2025 Arathy PS
